ngcp-sems (1:1.6.0+0~mr13.0.0.0) unstable; urgency=medium

  [ Donat Zenichev ]
  * [f333ea4] MT#60408 Update core: SDP origin manipulation fix
  * [50248f7] MT#60408 Update core and CallLeg: SDP origin manipulation fix
  * [731b041] MT#60408 core: add functions to accept pending invites
  * [cb48c87] MT#60408 Introduce an optional behavior on pending transaction
  * [08e3ad9] MT#59446 Do not pend call leg update for pick up case
  * [ad96f45] MT#60408 CallLeg: `isHoldRequest()` has to deal with const sdp
  * [b21a430] MT#60408 CallLeg: use dedicated fund to check expecting offer
  * [c0452f5] MT#60408 Answer with 'inactive' when 'inactive' requested during the on hold
  * [faf99ab] MT#59851 CallLeg: Refactor hold related things
  * [e80aebf] MT#59867 putOnHoldImpl: `createHoldRequest()` sessV increment
  * [760ef73] MT#60297 Save SDP origin after call is held/resumed
  * [ced4a52] MT#56772 AmSdp: covert sessId / sessV to llu
  * [f343df5] MT#60480 Limitation of origin id/ver to 64bits (unsigned long long)

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Sun, 28 Jul 2024 12:04:38 +0200

ngcp-sems (1:1.6.0+0~mr12.5.0.0) unstable; urgency=medium

  * New release.

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Wed, 22 May 2024 14:33:32 +0200

ngcp-sems (1:1.6.0+0~mr12.4.0.0) unstable; urgency=medium

  [ Donat Zenichev ]
  * [0df85df] MT#59089 `AmB2BMedia::replaceConnectionAddress` code refactoring
  * [241ca6a] MT#59022 `AmSipDialog::bye()` code refactoring
  * [2763f18] MT#59022 Handle faked legs during B2BTerminateLeg properly
  * [8d3912b] MT#59077 Extend logging in `AmSipSubscription::makeSubscription()`

  [ Richard Fuchs ]
  * [2b53f6c] MT#40962 change media timer math to ints
  * [b733d3c] MT#40962 remove 2 ms sleep exemption
  * [38cc845] MT#40962 replace usleep with waitForEventTimed
  * [1a0b944] MT#40962 advance ticks mathematically
  * [096a1f3] MT#40962 increase idle sleep time
  * [eeae1d1] MT#40962 refactor wheeltimer::unix_clock
  * [e33e002] MT#40962 decouple RateLimit from AmAppTimer
  * [59503ea] MT#40962 make wheeltimer::wall_clock private
  * [1490c93] MT#40962 remove 2 ms exemption
  * [2542042] MT#40962 change wheel timer math to ints
  * [7bf2f9c] MT#40962 allow for varying sleep times
  * [1873c57] MT#40962 track number of timers
  * [2043114] MT#40962 split up events from timers
  * [390bf44] MT#40962 use condition variable for events
  * [84fc2cc] MT#40962 increase idle sleep time

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Fri, 15 Mar 2024 08:50:17 +0100

ngcp-sems (1:1.6.0+0~mr12.3.0.0) unstable; urgency=medium

  * New release.

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Mon, 15 Jan 2024 14:49:07 +0100

ngcp-sems (1:1.6.0+0~mr12.2.0.0) unstable; urgency=medium

  [ Donat Zenichev ]
  * [4a5942d] MT#58584 Core refactoring in `core::_SipCtrlInterface::send()`
  * [b0305db] MT#58584 Core refactoring in `core::AmB2BSession::relaySip()`
  * [51f57d7] MT#58584 Add more logging to `core::AmBasicSipDialog::sendRequest()`
  * [83634a2] MT#58584 Properly update remote tag and route set for PRACK

  [ Daniel Grotti ]
  * [f563667] MT#58584 Do not add outbound_proxy in Route if exist

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Wed, 29 Nov 2023 13:38:32 +0100

ngcp-sems (1:1.6.0+0~mr12.1.0.0) unstable; urgency=medium

  [ Donat Zenichev ]
  * [4bf6266] MT#58181 CallLeg::adjustOffer() check, if SDP is holding

  [ Guillem Jover ]
  * [35050d5] MT#58356 Update packaging for bookworm

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Sun, 15 Oct 2023 08:25:44 +0200

ngcp-sems (1:1.6.0+0~mr12.0.1.0) unstable; urgency=medium

  * New release.

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Wed, 30 Aug 2023 18:06:11 +0200

ngcp-sems (1:1.6.0+0~mr11.5.0.0) unstable; urgency=medium

  [ Donat Zenichev ]
  * [a25f480] MT#56321 DSM: Introduce processing of the ';reset-to-tag=' parameter
  * [1df4312] MT#56321 core::AmB2BSession - refactor onSipReply()
  * [b79fc7a] MT#56321 Implement 'recvonly' beginning on-hold
  * [29400e4] MT#56321 Refactor the HeaderFilter.cpp
  * [d7db3e4] MT#56321 HeaderFilter: add multi-line headers parsing
  * [85238b3] MT#56321 Refactor the core::AmRtpStream init() function
  * [e6dfce5] MT#56321 Refactoring of AmSdp.cpp
  * [a284135] MT#56321 AmPlugin: add _payload_tevent_opus to supported payloads
  * [f8a1bd2] MT#56321 HeaderFilter: remove superfluous logging
  * [0bd7fa6] MT#56321 Refactor: core::CallLeg::onSipRequest()
  * [1a22e0a] MT#56321 Force Early Announce: add support for the `Proceeding` state
  * [84a0c3e] MT#57256 Do not change OA state of similar 183 SDP
  * [13ff635] MT#57391 sems (CE): eliminate the `auto_ptr` usage (deprecated in C++11)
  * [551ff86] MT#57393 python: fix the `Missing parentheses in call to 'print'
  * [3627c0d] MT#57394 Apps: fix `inconsistent use of tabs and spaces in indentation`
  * [6fea97d] MT#57398 deprecate pkg/deb/{jessie,precise,trusty,wheezy}
  * [ddde01c] MT#57402 warning: specified bound 16 equals destination size
  * [793bb59] MT#57403 warning: this 'if' clause does not guard his statement..
  * [e550db0] MT#57404 warning: format '%llu' expects argument of type 'long long unsigned int'
  * [687050c] MT#57405 warning: ignoring return value of 'int pipe(int*)'
  * [a18d614] MT#57407 warning: this 'if' clause does not guard... (AmSdp.cpp)
  * [678730d] MT#57408 warning: clearing an object of non-trivial type
  * [e79e20c] MT#57409 warning: '<anonymous>' may be used uninitialized in this function
  * [7f5a4bd] MT#57410 warning: ignoring return value of 'int pipe(int*)' (tcp_trsp.cpp)
  * [1a25a84] MT#57411 warning: ignoring return value in `main()` (sems.cpp)
  * [7d75005] MT#57415 ilbc: accessing 428 bytes at offsets 0 and 160 overlaps
  * [898ebae] MT#57417 'WebRtcSpl_NormU32' is static but used in inline function 'log2_Q10_B'
  * [7e0153a] MT#57419 defined but not used (entropy_coding.c)
  * [a241f56] MT#57422 statement with no effect, cycles in the opus.c
  * [1b91d67] MT#57422 Properly move the pointer in the `read_param()`
  * [f0961c7] MT#57423 NULL used in arithmetic (DBRegAgent.cpp)
  * [d1474f6] MT#57424 format '%d' expects argument of type 'int', but argument 4 has type 'long int'
  * [d4ca1ec] MT#57429 compiler can assume that the address of 'req' will never be NULL
  * [020a164] MT#57432 field precision specifier '.*' expects argument of type 'int'
  * [23a917d] MT#57434 invalid suffix on literal; C++11 requires a space
  * [b9196fa] MT#57435 self-comparison always evaluates to true (XmlRpcValue.cpp)
  * [42b9ad1] MT#57436 directive output may be truncated
  * [ff4a390] MT#57439 fix the bit flag comparison in `JsonRpcServer::processMessage()`
  * [0e1bd88] MT#57440 in `RTMP_ReadPacket()` variable 'didAlloc' set but not used
  * [d626afc] MT#57441 invalid suffix on literal; C++11 requires a space (SBC.cpp)
  * [c37a8cc] MT#57442 'hm' may be used uninitialized in this function (adjustOffer.cpp)
  * [4bec183] MT#57445 '.SdpPayload::type' may be used uninitialized in this function
  * [9937f85] MT#57446 invalid suffix on literal; C++11 requires a space
  * [d985a94] MT#57436 intimeToXml: properly manage the buf size and `snprintf()`
  * [623036f] MT#57501 'max_per' may be used uninitialized
  * [1cacd5c] MT#57501 the comparison will always evaluate as 'false' (fft.c)
  * [285fb7e] MT#57437 Upstream: apps/ivr fix for Python3.10 and higher
  * [f3d48dd] MT#57437 Upstream: support for body content type application/csta+xml
  * [9eb1efb] MT#57437 Upstream: increased libevent version
  * [7127606] MT#57437 Upstream: Handle responses to SIP_METH_CANCEL in Cancelling state
  * [561b8ba] MT#57437 Upstream: Support looking up aliased interface names
  * [d7d9d26] MT#57437 Upstream: fixed parsing of sip uri
  * [7e9971f] MT#57437 Upstream: Fixed NOTIFY to URI
  * [a4d32f4] MT#57437 Upstream: added `lock(mutex)` calls in order to avoid crash
  * [f0efd81] MT#57254 dsm/mod_redis: print ephemeral TCP port (connect/disconnect)

  [ Guillem Jover ]
  * [ed5872e] MT#56184 build: Stop using INSTALL_TOUCH before installing the targets
  * [f3a48f2] MT#56184 build: Fix parallel building

  [ Daniel Grotti ]
  * [cdcbbb7] MT#57562 sems (CE): Add Allow header in 200 OK when empty

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Mon, 26 Jun 2023 14:12:54 +0200

ngcp-sems (1:1.6.0+0~mr11.4.0.0) unstable; urgency=medium

  [ Donat Zenichev ]
  * [fe57164] MT#56321 core::AmB2BSession - refactor onB2BEvent()
  * [d11c748] MT#56321 core::AmOfferAnswer - refactor onReplyOut()
  * [60e16ed] MT#56321 AmOfferAnswer: Re-use existing SDP for 183 with no body
  * [ab7c185] MT#56321 core::AmOfferAnswer add logging into most important places
  * [aec816d] MT#56321 Add 'Allow:' header to the 200OK, if present in the request
  * [cd233e1] MT#56321 office-hours: catch the finish of the playback
  * [b85bc42] MT#56321 AmB2BSession::onB2BEvent() - refresh caller if 183 media forced
  * [4012dc9] MT#56321 refactor AmB2BCallerSession::onB2BEvent()
  * [91039bb] MT#56321 Refresh caller if 183 media forced (part 2)
  * [14ad7f8] MT#56321 Use the P-DSM-App instead of the P-Early-Announce
  * [8195d13] MT#56321 AmB2BSession::onB2BEvent - add DSM 'early-dbprompt' processing
  * [020cd18] MT#56321 core: introduce 'global_defs.h' header
  * [b34b85f] MT#56321 DSM: Introduce helper functions related to DSM processing
  * [eb60a00] MT#56321 DSM: Finishing the DSM playback, support: 486, 487 and 603

  [ Daniel Grotti ]
  * [2b49603] MT#56728 avoid doublequotes on SDP boundary

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Fri, 24 Mar 2023 13:06:04 +0100

ngcp-sems (1:1.6.0+0~mr11.3.0.0) unstable; urgency=medium

  [ Roman Romanchenko ]
  * [7452a32] MT#55831 sems-* constant 10% CPU usage in idle Virtual environment vagrant/vmware
  * [a532a09] MT#55831 Fix sems and sems-pbx to write pid file when running with -E option
  * [f593f91] MT#55831 sems: fails to build against Debian/bullseye

  [ Raphael Coeffic ]
  * [7239205] MT#55831 sbc: fixed reading encoding param in readPayload()

  [ Stefan Sayer ]
  * [83ff361] MT#55831 sbc: codecs: compare encoding_param only if both != 0
  * [abfd146] MT#55831 core:codec init: support for fmt params negotiation, fmt_description changed
  * [737054b] MT#55831 core:amci: call codec module init function with mod_config_path param
  * [5c5695c] MT#55831 core:rtp stream: take fmt params in payload initialization
  * [4dd4d94] MT#55831 opus: configurable codec settings for OPUS codec
  * [9184bab] MT#55831 :fixes c7800ea: remove leftover stacktrace in setCurrentPayload
  * [e5207b2] MT#55831 b/f:fix bbb13a1: remove excessive debug info
  * [206cb7a] MT#55831 dsm: helper functions / macros for modules:
  * [2d8f0da] MT#55831 confpin: simple pin conference app
  * [d2f32e6] MT#55831 dsm:mod_conference:set callgroup to conference channel
  * [1e9d98b] MT#55831 db_reg_agent: add username_with_domain option to use auth user with domain part

  [ Peter Lemenkov ]
  * [d2f507a] MT#55831 Fix for C++11

  [ Victor Seva ]
  * [baa4b2e] MT#55831 add sw_vcs module
  * [2a842ac] MT#55831 No config patch
  * [b151729] MT#55831 fix py_sems install dir properly

  [ Andrew Pogrebennyk ]
  * [fa0e4b7] MT#55831 rename prompts x1..9.wav to 1..9-and.wav
  * [2e1be63] MT#55831 don't create CF map if CF is denied by profile
  * [a7ee7e3] MT#55831 increase the config line length to 4096 because of header_list

  [ Andreas Granig ]
  * [7de83e4] MT#55831 Implement vsc for block_in_clir
  * [e66898f] MT#55831 Rework config validation to be more slack
  * [220b46d] MT#55831 Rework config validation to be more slack (part 2)

  [ Guillem Jover ]
  * [4749334] MT#55831 Make the code build again
  * [fa45b44] MT#55831 Build the library as shared
  * [d3f89d4] MT#55831 Fix module exclusion logic
  * [32beea4] MT#55831 Revamp the build system
  * [d785557] MT#55831 Use a proper accessor instead of messing with the struc directly

  [ Jozef Kenyeres ]
  * [534be90] MT#55831 fix failed relay of 200OK without SDP

  [ Richard Fuchs ]
  * [795e859] MT#55831 restore reporting of number of running calls

  [ Marco Capetta ]
  * [fdaed98] MT#55831 NGCP refreshes the session even if STT is not supported
  * [d45dcf1] MT#55831 Fix issue if an UPDATE is received after 183
  * [b1c8aa3] MT#55831 Add VSC to disable all active call forwards at once
  * [d4d1fc7] MT#55831 Handle BYE after 180 with to_tag

  [ Kirill Solomko ]
  * [aeabd1b] MT#55831 add header filter wildcard match support

  [ Michael Prokop ]
  * [b126b45] MT#55831 Build and include SBC tools + examples, port to py3k

  [ Fabricio Santolin ]
  * [f9d0927] MT#55831 Authorization header format support

  [ Donat Zenichev ]
  * [10f7927] MT#55831 Authentication from SEMS with no credentials
  * [178a5ad] MT#55831 add support of SIP peering registrations based on XMLRPC requests
  * [908b645] MT#55831 Detect emergency calls and let them pass on license limitation (SEMS CE)
  * [f5b1f75] MT#55831 dsm: ModUtils, fix the work of utils_get_count_files() (CE)
  * [2078ce5] MT#55831 DSM: ModCurl - fix ordered comparison of const ptr with 0 (CE)
  * [cce88b5] MT#56321 core::AmB2BMedia - refactor updateStreams()
  * [d5eaa1c] MT#56321 call_transfer: add support of 183 in failed transfers
  * [d36870e] MT#56321 core::AmSipDialog - refactor onRxReplyStatus()
  * [91cd45f] MT#56321 Treat 183 as 200OK (other leg), when early media forced

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Tue, 17 Jan 2023 17:45:36 +0100

ngcp-sems (1:1.6.0+0~mr11.2.0.0) unstable; urgency=medium

  * New release.

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Sun, 29 Dec 2022 16:32:00 +0200

ngcp-sems (1:1.6.0-1+0~mr11.2.0.0) unstable; urgency=medium

  * New release.

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Tue, 04 Oct 2022 13:52:38 +0200

ngcp-sems (1:1.6.0-1+0~mr11.1.0.0) unstable; urgency=medium

  * New release.

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Mon, 22 Aug 2022 20:03:23 +0200

ngcp-sems (1:1.6.0-1+0~mr11.0.0.0) unstable; urgency=medium

  * New release.

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Tue, 07 Jun 2022 11:45:44 +0200

ngcp-sems (1:1.6.0-1+0~mr10.5.0.0) unstable; urgency=medium

  * New release.

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Thu, 31 Mar 2022 00:02:23 +0200

ngcp-sems (1:1.6.0-1+0~mr10.4.0.0) unstable; urgency=medium

  [ Donat Zenichev ]
  * [f6df566] TT#151402 Start using '/ngcp-data/cache' via symlink

  [ Mykola Malkov ]
  * [b83265c] TT#154255 Remove redis dependency from unit file

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Mon, 24 Jan 2022 16:58:22 +0100

ngcp-sems (1:1.6.0-1+0~mr10.3.0.0) unstable; urgency=medium

  [ Guillem Jover ]
  * [3d2b78b] TT#124273 Update packaging for bullseye
  * [4e2ed26] TT#124273 Remove obsolete dbg symbol package transition
  * [2c83274] TT#124273 Use execute_after_ instead of override_ for dh command

  [ Donat Zenichev ]
  * [2d0775b] TT#143150 dsm: ModUtils, fix the work of utils_get_count_files() (CE)

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Tue, 23 Nov 2021 14:20:12 +0100

ngcp-sems (1:1.6.0-1+0~mr10.2.0.0) unstable; urgency=medium

  [ Donat Zenichev ]
  * [afa9520] TT#66577 add support of SIP peering registrations based on XMLRPC requests
  * [7ffd8f9] TT#138356 Detect emergency calls and let them pass on license limitation (SEMS CE)

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Tue, 05 Oct 2021 13:21:17 +0200

ngcp-sems (1:1.6.0-1+0~mr10.1.0.0) unstable; urgency=medium

  [ Marco Capetta ]
  * [50d4820] TT#82409 Authorization header format support

  [ donat zenichev ]
  * [5ef025a] TT#128701 Authentication from SEMS with no credentials

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Tue, 24 Aug 2021 16:53:49 +0200

ngcp-sems (1:1.6.0-1+0~mr10.0.0.0) unstable; urgency=medium

  * New release.

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Mon, 14 Jun 2021 16:38:56 +0200

ngcp-sems (1:1.6.0-1+0~mr9.5.0.0) unstable; urgency=medium

  * New release.

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Tue, 20 Apr 2021 12:00:02 +0200

ngcp-sems (1:1.6.0-1+0~mr9.4.0.0) unstable; urgency=medium

  * New release.

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Mon, 15 Feb 2021 17:54:54 +0100

ngcp-sems (1:1.6.0-1+0~mr9.3.0.0) unstable; urgency=medium

  [ Roman Romanchenko ]
  * [1619876] TT#101059 sems: fails to build against Debian/bullseye

  [ Michael Prokop ]
  * [ef4a7b9] TT#105412 Build and include SBC tools + examples, port to py3k

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Tue, 05 Jan 2021 15:33:46 +0100

ngcp-sems (1:1.6.0-1+0~mr9.2.0.0) unstable; urgency=medium

  * New release.

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Mon, 09 Nov 2020 16:27:08 +0100

ngcp-sems (1:1.6.0-1+0~mr9.1.0.0) unstable; urgency=medium

  * New release.

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Mon, 31 Aug 2020 21:56:00 +0200

ngcp-sems (1:1.6.0-1+0~mr9.0.0.0) unstable; urgency=medium

  * New release.

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Tue, 21 Jul 2020 14:49:39 +0200

ngcp-sems (1:1.6.0-1+0~mr8.6.0.0) unstable; urgency=medium

  * New release.

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Tue, 14 Jul 2020 11:54:43 +0200

ngcp-sems (1:1.6.0-1+0~mr8.5.0.0) unstable; urgency=medium

  * New release.

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Tue, 19 May 2020 11:12:53 +0200

ngcp-sems (1:1.6.0-1+0~mr8.4.0.0) unstable; urgency=medium

  [ Marco Capetta ]
  * [38ad6c8] TT#73957 Handle BYE after 180 with to_tag

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Mon, 16 Mar 2020 11:17:47 +0100

ngcp-sems (1:1.6.0-1+0~mr8.3.0.0) unstable; urgency=medium

  [ Marco Capetta ]
  * [7ce85a4] TT#71001 Add VSC to disable all active call forwards at once

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Mon, 27 Jan 2020 12:25:51 +0100

ngcp-sems (1:1.6.0-1+0~mr8.2.0.0) unstable; urgency=medium

  * New release.

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Mon, 25 Nov 2019 14:59:11 +0100

ngcp-sems (1:1.6.0-1+0~mr8.1.0.0) unstable; urgency=medium

  * New release.

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Tue, 08 Oct 2019 09:12:45 +0200

ngcp-sems (1:1.6.0-1+0~mr8.0.0.0) unstable; urgency=medium

  [ Guillem Jover ]
  * [69e3dd6] TT#61954 Set debhelper compat level in Build-Depends instead of debian/compat

  [ Sipwise Jenkins Builder ]

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Mon, 05 Aug 2019 21:00:21 +0200

ngcp-sems (1:1.6.0-1+0~mr7.5.0.0) unstable; urgency=medium

  * New release.

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Mon, 17 Jun 2019 14:39:48 +0200

ngcp-sems (1:1.6.0-1+0~mr7.4.0.0) unstable; urgency=medium

  [ Kirill Solomko ]
  * [e3f3427] TT#53685 add header filter wildcard match support

  [ Alexander Lutay ]
  * [937e237] TT#23584 Force parallel building on jenkins
  * [9a0a826] Revert "TT#23584 Force parallel building on jenkins"

  [ Guillem Jover ]
  * [c7f3f69] TT#23584 Honor parallel build support in the overrides

  [ Sipwise Jenkins Builder ]

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Thu, 25 Apr 2019 14:32:11 +0200

ngcp-sems (1:1.6.0-1+0~mr7.3.0.0) unstable; urgency=medium

  [ Roman Romanchenko ]
  * [d7bce51] TT#52455 sems-* constant 10% CPU usage in idle Virtual environment vagrant/vmware

  [ Sipwise Jenkins Builder ]

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Mon, 25 Feb 2019 22:59:28 +0100

ngcp-sems (1:1.6.0-1+0~mr7.2.0.0) unstable; urgency=medium

  [ Andrew Pogrebennyk ]
  * [ae34e87] TT#34704 Fix sems to write pid file when running with -E option

  [ Roman Romanchenko ]
  * [a0f611c] TT#48401 sems duplicates log entries because of "printing to stderr" enabled.

  [ Sipwise Jenkins Builder ]

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Wed, 09 Jan 2019 22:04:04 +0100

ngcp-sems (1:1.6.0-1+0~mr7.1.0.0) unstable; urgency=medium

  * New release.

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Mon, 12 Nov 2018 22:40:17 +0100

ngcp-sems (1:1.6.0-1+0~mr7.0.0.0) unstable; urgency=medium

  [ Marco Capetta ]
  * [d0d4dc3] TT#43503 Fix issue if an UPDATE is received after 183
  * [36043ae] TT#43602 VSC number rewritten using only enabled rules

  [ Sipwise Jenkins Builder ]

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Mon, 24 Sep 2018 18:59:04 +0200

ngcp-sems (1:1.6.0-1+0~mr6.5.0.0) unstable; urgency=medium

  * New release.

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Tue, 24 Jul 2018 13:41:22 +0200

ngcp-sems (1:1.6.0-1+0~mr6.4.0.0) unstable; urgency=medium

  [ Guillem Jover ]
  * [29d8d9a] TT#36053 Make systemd sems service require redis-master
  * [052e786] TT#26264 Remove obsolete rc.d symlinks

  [ Manuel Montecelo ]
  * [6174aa5] TT#36053 Stop sems* with -KILL
  * [74c1b3d] TT#36053 Use KillSignal instead of ExecStop
  * [ba91c6f] TT#36053 Avoid SIGKILL being considered a problematic exit status

  [ Alexander Lutay ]
  * [0607e3f] TT#35502 Replace Requires= with Wants= for sems.service

  [ Mykola Malkov ]
  * [eb5110b] TT#33384 Use weaker type of services' dependency on remote-fs

  [ Sipwise Jenkins Builder ]

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Tue, 29 May 2018 10:09:54 +0200

ngcp-sems (1:1.6.0-1+0~mr6.3.0.0) unstable; urgency=medium

  [ Marco Capetta ]
  * [f47f18c] TT#29926 NGCP refreshes the session even if STT is not supported

  [ Alexander Lutay ]
  * [fde9945] TT#33276 Remove sysv init script dependency on sshd

  [ Manuel Montecelo ]
  * [b471eef] TT#26264 Add systemd unit service file, remove sysvinit support
  * [f51d219] TT#26264 Use /var/run/ngcp-sems again as home of user "sems", instead of /run
  * [b106d5b] TT#26264 Rename tmpfiles.d file to avoid code in d/rules
  * [e33ab78] TT#34428 Fix typo in ngcp-sems.tmpfile name so dh_installinit can find it
  * [092b363] TT#26264 Removing unimportant fields in the systemd service/unit file
  * [9b8cabc] TT#34414 Changing systemd unit file TimeoutStopSec to 10
  * [03a7e21] TT#34414 Removing empty line

  [ Sipwise Jenkins Builder ]

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Tue, 03 Apr 2018 22:33:17 +0200

ngcp-sems (1:1.6.0-1+0~mr6.2.0.0) unstable; urgency=medium

  [ Richard Fuchs ]
  * [944cf94] TT#27201 restore reporting of number of running calls

  [ Andrew Pogrebennyk ]
  * [fed39af] TT#30000 restore use_threadpool after d8b3cbf4

  [ Sipwise Jenkins Builder ]

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Mon, 29 Jan 2018 21:57:33 +0100

ngcp-sems (1:1.6.0-1+0~mr6.1.0.0) unstable; urgency=medium

  [ Guillem Jover ]
  * [4ae85a5] TT#22072 Update packaging
  * [2d4962e] TT#26104 Do not set global sysctl settings

  [ Sipwise Jenkins Builder ]

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Wed, 06 Dec 2017 00:14:46 +0100

ngcp-sems (1:1.6.0-1+0~mr6.0.0.0) unstable; urgency=medium

  [ Jozef Kenyeres ]
  * [564d4c0] TT#9521 fix failed relay of 200OK without SDP.

  [ Guillem Jover ]
  * [772182a] TT#20611 Call dh_python2 w/o arguments to use the defaults
  * [546363d] TT#20611 Fix Section and Priority for the debug package
  * [153ded5] TT#20611 Fix init script to provide itself

  [ Sipwise Jenkins Builder ]

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Mon, 02 Oct 2017 23:44:11 +0200

ngcp-sems (1:1.6.0-1+0~mr5.5.0.0) unstable; urgency=medium

  [ Guillem Jover ]
  * [5634f22] TT#12308 Do not access the OpenSSL BIO struct directly

  [ Sipwise Jenkins Builder ]

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Mon, 17 Jul 2017 22:47:33 +0200

ngcp-sems (1:1.6.0-1+0~mr5.4.0.0) unstable; urgency=medium

  [ Alexander Lutay ]
  * [67afc66] TT#13418 Add lsb-base to ngcp-sems to fix lintian error

  [ Victor Seva ]
  * [7a1e2a0] TT#13419 fix lintian error due missing dependency of dh-python

  [ Andrew Pogrebennyk ]
  * [484bcfa] TT#1640 increase the config line length to 4096 because of header_list

  [ Sipwise Jenkins Builder ]

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Tue, 16 May 2017 21:44:53 +0200

ngcp-sems (1:1.6.0-1+0~mr5.3.0.0) unstable; urgency=medium

  * New release.

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Wed, 22 Mar 2017 11:02:29 +0100

ngcp-sems (1:1.6.0-1+0~mr5.2.0.0) unstable; urgency=medium

  [ Michael Prokop ]
  * [b14b5dc] TT#6431 Revert "TT#6431 Build-Depend on either default-libmysqlclient-dev or libmysql++-dev"
  * [02cba21] TT#9211 Avoid non-POSIX usage of echo(1) in init script

  [ Guillem Jover ]
  * [efbb87f] TT#6850 Fix build system

  [ Andrew Pogrebennyk ]
  * [e278bdd] TT#9306 implemented db_reg_agent option username_with_domain

  [ Sipwise Jenkins Builder ]

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Fri, 03 Feb 2017 00:43:22 +0100

ngcp-sems (1:1.6.0-1+0~mr5.1.0.0) unstable; urgency=medium

  [ Victor Seva ]
  * [54ce66a] MT#8041 debian/init: use signal 9 to stop as suggested by authors

  [ Andrew Pogrebennyk ]
  * [437932f] MT#18839 import 5ec9bf2 - b/f:dsm:mod_conference:set callgroup to conference channel

  [ Michael Prokop ]
  * [693429e] TT#6431 Build-Depend on either default-libmysqlclient-dev or libmysql++-dev
  * [5796526] TT#6431 New patch from upstream addressing C++11 issues

  [ Sipwise Jenkins Builder ]

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Thu, 17 Nov 2016 23:21:20 +0100

ngcp-sems (1:1.6.0-1+0~mr5.0.0.0) unstable; urgency=medium

  [ Andreas Granig ]
  * [cd20d43] MT#20649 Implement vsc for block_in_clir
  * [f40a8b9] MT#20649 Rework config validation to be more slack

  [ Sipwise Jenkins Builder ]

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Mon, 01 Aug 2016 16:37:40 +0200

ngcp-sems (1:1.6.0-1+0~mr4.5.0.0) unstable; urgency=medium

  * New release.

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Mon, 23 May 2016 19:03:58 +0200

ngcp-sems (1:1.6.0-1+0~mr4.4.0.0) unstable; urgency=medium

  [ Michael Prokop ]
  * [b6cedfe] MT#17699 Bump Standards-Version to 3.9.7
  * [2736bff] MT#11387 Switch Pre-Depends into Depends

  [ Sipwise Jenkins Builder ]

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Mon, 21 Mar 2016 22:31:48 +0100

ngcp-sems (1:1.6.0-1+0~mr4.3.0.0) unstable; urgency=medium

  * New release.

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Wed, 16 Dec 2015 09:34:04 +0100

ngcp-sems (1:1.6.0-1+0~mr4.2.0.0) unstable; urgency=medium

  * New release.

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Mon, 12 Oct 2015 15:46:47 +0200

ngcp-sems (1:1.6.0-1+0~mr4.1.0.0) unstable; urgency=low

  [ Victor Seva ]
  * [5d72c50] MT#13019 add upstream patches for codec transcoding
  * [dc86891] MT#13019 added missing upstream patch

  [ Andrew Pogrebennyk ]
  * [89c3172] MT#13599 don't create CF map if CF is denied by profile
  * [daab304] MT#13599 don't create CF map if CF is denied by profile (rename patch for merge)

  [ Sipwise Jenkins Builder ]

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Mon, 13 Jul 2015 15:35:53 +0200

ngcp-sems (1:1.6.0-1+0~mr4.0.0.0) unstable; urgency=medium

  * [00ab164] Imported Upstream version 1.6.0

 -- Victor Seva <vseva@sipwise.com>  Wed, 17 Jun 2015 09:44:03 +0200

ngcp-sems (1:1.6.0~20150612~a2d214df36-1+0~mr4.0.0.0) unstable; urgency=medium

  * [e63b96a] MT#13019 debian: refresh quilt patch
  * [73ea634] MT#13019 debian: add libopus-dev to Build-Depends
  * [2bf464e] Imported Upstream version 1.6.0~20150612~a2d214df36
  * [701aeef] MT#13019 set SYSTEM_SAMPLECLOCK_RATE=48000LL
  * [06a5889] remove and update patches

 -- Victor Seva <vseva@sipwise.com>  Fri, 12 Jun 2015 15:45:42 +0200

ngcp-sems (1:1.6.0~20150519~ae8a42-1+0~mr4.0.0.0) unstable; urgency=medium

  * [3dc1fbb] MT#12905 sw_vcs: use primary number for voicemail uri and uuid as fallback
  * [6a96ffd] Imported Upstream version 1.6.0~20150519~ae8a42
  * [c4b6fb9] MT#13019 debian: remove already applied patches

 -- Victor Seva <vseva@sipwise.com>  Tue, 19 May 2015 16:08:22 +0200

ngcp-sems (1:1.6.0~20140819~0b6d12-1+0~mr4.0.0.0) unstable; urgency=low

  [ Andreas Granig ]
  * [94a4d37] MT#10367 Dynamically set VSC language.

  [ Andrew Pogrebennyk ]
  * [a69ba12] MT#11239 MT#11219 rename prompts x1..9 to 1..9-and
  * [f3fe2dc] MT#11241 confpin: add conference_first and moh for first participant
  * [108e6f5] MT#11241 mod_conference: AmPlaylist::close(…) is now replaced by AmPlaylist::flush()
  * [99d6a68] MT#12189 sems: support the UDP/TLS/RTP/SAVPF

  [ Michael Prokop ]
  * [4a643f0] MT#9127 Bump Standards-Version to 3.9.6

  [ Sipwise Jenkins Builder ]

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Wed, 18 Mar 2015 14:16:23 +0100

ngcp-sems (1:1.6.0~20140819~0b6d12-1+0~mr3.8.0.0) unstable; urgency=low

  [ Andreas Granig ]
  * [017449b] MT#10063 Depend on new ngcp-prompts.

  [ Andrew Pogrebennyk ]
  * [22e0c3c] MT#10761 MT#8129 Import sems core/dsm patches for confpin.dsm

  [ Sipwise Jenkins Builder ]

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Wed, 07 Jan 2015 21:39:57 +0100

ngcp-sems (1:1.6.0~20140819~0b6d12-1+0~mr3.7.0.0) unstable; urgency=low

  * New release.

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Thu, 30 Oct 2014 17:30:43 +0100

ngcp-sems (1:1.6.0~20140819~0b6d12-1+0~mr3.6.0.0) unstable; urgency=low

  [ Andrew Pogrebennyk ]
  * [7f514c6] MT#7527 fix the attribute vs profile Id confusion in log

  [ Alexander Lutay ]
  * [c1bc8c5] MT#7505 Add .gitreview file for sems
  * [c1977fb] MT#7505 Ignore .gitreview file instead of using a patch file for it

  [ Victor Seva ]
  * [961c8a8] MT#9425 init: set umask and perms

  [ Sipwise Jenkins Builder ]

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Thu, 09 Oct 2014 16:55:13 +0200

ngcp-sems (1:1.6.0~20140819~0b6d12-1+0~mr3.5.0.0) unstable; urgency=medium

  [ Victor Seva ]
  * [824b8ba] MT#8653 remove already merged upstream patches
  * [8b3a87e] MT#8741 remove init script tricks
  * [df99926] Imported Upstream version 1.6.0~20140516~eaa616
  * [be6b7d5] Imported Upstream version 1.6.0~20140819~0b6d12

  [ Andrew Pogrebennyk ]
  * [369010b] MT#8251 update sw_vsc module to sems 1.6 module API

  [ Michael Prokop ]
  * [8bb11bb] MT#8529 Add core/compat/* files to debian/source/include-binaries

 -- Alexander Lutay <alutay@sipwise.com>  Tue, 26 Aug 2014 12:02:14 +0200

ngcp-sems (1:1.6.0~20140516~eaa616-1+0~mr3.5.0.0) unstable; urgency=low

  [ Victor Seva ]
  * [85c87b8] MT#7349 fix packaging
  * [5d430bb] MT#7349 add sw_vcs module
  * [bbe253a] MT#7349 update sw_vsc to 1.6
  * [a53a562] MT#7349 add ngcp-sems-prompts dep
  * [001a0c8] MT#7399 create cache dir
  * [927f14b] MT#7349 add ngcp-sems-prompts dep on ngcp-sems
  * [af25546] MT#7349 fix py_sems install dir
  * [73e6984] Revert "MT#7349 fix py_sems install dir"
  * [cc61483] MT#7349 fix py_sems install dir properly
  * [63fc5e7] MT#7349 use dh_python2 to deal with python modules. Use APP_NAME in rules.
  * [7354b78] MT#7399 Add SEMS_CACHEDIR
  * [d4e4010] MT#6485 Container detection in init script. Minor improve.

  [ Michael Prokop ]
  * [68cbeb5] MT#7431 Force strip getarch + getos files in ngcp-sems-libsems1-dev
  * [764c344] MT#6485 Container detection in init script

  [ Andreas Granig ]
  * [e4f9fe5] MT#7527 Check sub profile before setting VSC.
  * [b236740] MT#7527 Cast %llu to avoid warnings.

  [ Andrew Pogrebennyk ]
  * [29a8716] MT#7355 sems init: add --oknodo to fix restart during package upgrade

  [ Sipwise Jenkins Builder ]

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Thu, 10 Jul 2014 15:37:26 +0200

ngcp-sems (1:1.6.0~20140516~eaa616-1+0~mr3.4.0.0) unstable; urgency=medium

  * [df99926] Imported Upstream version 1.6.0~20140516~eaa616
  * [fa0796c] remove all 1.4 stuff. use ngcp-sems name properly.

 -- Victor Seva <vseva@sipwise.com>  Fri, 06 Jun 2014 09:58:24 +0200

ngcp-sems (1:1.4.3-1+0~mr3.4.0.0) unstable; urgency=low

  [ Victor Seva ]
  * [068e494] MT#58889 add lintian overrides
  * [008737c] MT#5889 use dh_python2 to deal with python built files

  [ Michael Prokop ]
  * [207610c] MT#6511 Bump Standards-Version to 3.9.5

  [ Andrew Pogrebennyk ]
  * [99ca300] MT#6475 check method (ACK or PRACK) before deleting transaction

  [ Sipwise Jenkins Builder ]

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Mon, 26 May 2014 16:01:17 +0200

ngcp-sems (1:1.4.3-1+0~mr3.3) unstable; urgency=low

  [ Victor Seva ]
  * [f001e93] Add upstream patch
  * [e580ff5] No config patch
  * [f0494e3] Add sw_vcs module
  * [fab40f2] fix typo
  * [09a5f5d] Update no_config patch
  * [a867449] Add return status patch
  * [fabbeda] update no_config.patch

  [ Sipwise Jenkins Builder ]

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Sat, 01 Feb 2014 19:57:22 +0100

ngcp-sems (1:1.4.3-1) unstable; urgency=low

  * Use quilt to manage patches

 -- Victor Seva <vseva@sipwise.com>  Mon, 09 Sep 2013 14:19:25 +0200

ngcp-sems (1.4.3+spce3.0.0) unstable; urgency=low

  [ Stefan Sayer ]
  * sbc: b/f: reply 100 Trying to in-dlg msgs which are to be relayed
  * sbc: fix 3930ca2 - only reply 100 Trying to in-dlg INVITE to be relayed
  * uac_auth: added UAS authentication of requests (internal API)
  * core: AmSipMsg gets ArgObject as base (for passing in DI calls)
  * sbc: SIP UAS authentication for B leg (uas_auth_bleg_enabled)

  [ Michael Prokop ]
  * Build-Depends: replace squeeze specific python-sip4-dev with generic python-sip-dev
  * Drop deprecated sip4 from Build-Depends

  [ Victor Seva ]
  * Use libcurl4-openssl-dev package for libcurl-dev
  * fix: sems process returns always 0 when daemonized.
  * core: fix return status pipe machinery in non-daemon mode

 -- Andrew Pogrebennyk <apogrebennyk@sipwise.com>  Wed, 07 Aug 2013 15:38:05 +0200

ngcp-sems (1.4.3+spce2.8.0) unstable; urgency=low

  * Branched and tagged for 2.8 release.

 -- Andrew Pogrebennyk <apogrebennyk@sipwise.com>  Wed, 27 Mar 2013 17:07:52 +0100

ngcp-sems (1.4.3+spce2.7.0) unstable; urgency=low

  * First version for NGCP 2.7
  * Make build fail when it fails.

 -- Andrew Pogrebennyk <apogrebennyk@sipwise.com>  Mon, 10 Dec 2012 15:03:29 +0100

ngcp-sems (1.4.3+spce2.6.3) unstable; urgency=low

  * Only apply SBC-SDP-Filter for the RTP/AVP or RTP/SAVP profile
  * Fix sst negotiation
  * Build dbg package 

 -- Jon Bonilla <jbonilla@sipwise.com>  Wed, 21 Nov 2012 13:08:41 +0100

ngcp-sems (1.4.3+spce2.6.2) unstable; urgency=low

  [ Michael Prokop ]
  * Provide postinst script, taking care of services restarts in HA mode
  * Provide postrm script


  [ jbonilla ]
  * Re-add init stuff
  * Disable installing default config files
  * Don't run sems with the default no-configuration
  * Remove debconf usage


  [ apogrebennyk ]
  * Create sems user/group and do other manipulations from stock postinst file.
  * Remove frafos default stuff from postinst file

 -- Jon Bonilla <jbonilla@sipwise.com>  Thu, 23 Aug 2012 19:39:30 +0200

ngcp-sems (1.4.3+spce2.6.1) unstable; urgency=low

  * Fix User-Agent and Max-Forwards in outbound requests.
  * db_reg_agent: also stop RegistrationTimer thread on unclean shutdown.

 -- Andrew Pogrebennyk <apogrebennyk@sipwise.com>  Mon, 20 Aug 2012 14:20:17 +0200

ngcp-sems (1.4.3+spce2.6.0) unstable; urgency=low

  * Sync with upstream 1.4.3.

 -- Andrew Pogrebennyk <apogrebennyk@sipwise.com>  Thu, 09 Aug 2012 00:01:32 +0200

ngcp-sems (1.4.2+spce2.5.1) unstable; urgency=low

  * Update digest credentials on updateRegistration call.

 -- Andrew Pogrebennyk <apogrebennyk@sipwise.com>  Fri, 25 May 2012 11:58:18 +0200

ngcp-sems (1.4.2+sipwise11) unstable; urgency=low

  * Fix broken tagging. 

 -- Andrew Pogrebennyk <apogrebennyk@sipwise.com>  Mon, 30 Apr 2012 11:05:29 +0200

ngcp-sems (1.4.2+sipwise10) unstable; urgency=low

  * Make SIP timers configurable. 

 -- Andrew Pogrebennyk <apogrebennyk@sipwise.com>  Mon, 30 Apr 2012 11:00:37 +0200

ngcp-sems (1.4.2+sipwise9) unstable; urgency=low

  [ apogrebennyk ]
  * Click2Dial.cpp: port click2dial fixes to CE sems
  * AmSdp.cpp,AmSdp.h: merge from upstream 1.4 branch up to ddb20bd (fix sdp filter)
  * AmSipMsg.cpp,test_headers.cpp: fix parser when one hdr is a substring of another hdr (e.g. Allow and Allow-Events)

 -- Andrew Pogrebennyk <apogrebennyk@sipwise.com>  Wed, 25 Apr 2012 16:53:04 +0200

ngcp-sems (1.4.2+sipwise8) unstable; urgency=low

  * Fix error handling in sw_vsc.
  * Replace rewrite-rule AVP vars by their values directly in sw_vsc.

 -- Andreas Granig <agranig@sipwise.com>  Tue, 27 Mar 2012 14:58:42 +0200

ngcp-sems (1.4.2+sipwise7) unstable; urgency=low

  * Fix issues in CF VSC handling.

 -- Andreas Granig <agranig@sipwise.com>  Tue, 20 Mar 2012 20:50:23 +0100

ngcp-sems (1.4.2+sipwise6) unstable; urgency=low

  * Implement new CF handling in VSC.

 -- Andreas Granig <agranig@sipwise.com>  Tue, 20 Mar 2012 18:36:42 +0100

ngcp-sems (1.4.2+sipwise5) unstable; urgency=low

  * Set suid_dumpable=2 in init script on start
  * Fix SBC SDP filter.

 -- Andrew Pogrebennyk <apogrebennyk@sipwise.com>  Mon, 05 Mar 2012 23:06:41 +0100

ngcp-sems (1.4.2+sipwise4) unstable; urgency=low

  * Adjust LSB header in init script.

 -- Andrew Pogrebennyk <apogrebennyk@sipwise.com>  Mon, 20 Feb 2012 22:10:23 +0100

ngcp-sems (1.4.2+sipwise3) unstable; urgency=low

  * Merge with sayer/1.4-dbreg-fork branch

 -- Andrew Pogrebennyk <apogrebennyk@sipwise.com>  Wed, 30 Nov 2011 15:24:18 +0100

ngcp-sems (1.4.2+sipwise2) unstable; urgency=low

  * Merge with sayer/1.4-dbreg branch

 -- Jon Bonilla <jbonilla@sipwise.com>  Thu, 13 Oct 2011 10:01:40 +0100

ngcp-sems (1.4.2+sipwise1) unstable; urgency=low

  * Merge with upstream 1.4.2
  * Add db_reg_agent module from sems trunk
  * Preserver reg_agent patches from 1.4.1 version

 -- Jon Bonilla <jbonilla@sipwise.com>  Tue, 04 Oct 2011 10:01:40 +0100

ngcp-sems (1.4.1+sipwise4) unstable; urgency=low

  * Fix domain based rewrite rule handling.
  * Add subscriber based rewrite rule handling as well.

 -- Andreas Granig <agranig@sipwise.com>  Thu, 15 Sep 2011 15:30:14 +0200

ngcp-sems (1.4.1+sipwise3) unstable; urgency=low

  * Aligned sw_vsc to new rewrite rule db schema.

 -- Andreas Granig <agranig@sipwise.com>  Tue, 13 Sep 2011 19:50:38 +0200

ngcp-sems (1.4.1+sipwise2) unstable; urgency=low

  * Enabled thread pool.

 -- Andreas Granig <agranig@sipwise.com>  Fri, 10 Jun 2011 14:02:48 +0200

ngcp-sems (1.4.1+sipwise1) stable; urgency=low

  * Merge from upstream the latest 1.4.1 branch.
  * Fixes xmlrpc socket handling.

 -- Andreas Granig <agranig@sipwise.com>  Tue, 24 May 2011 18:04:44 +0200

ngcp-sems (1.4.1~sipwise3) unstable; urgency=low

  * Merge from upstream trunk to fix click2dial in combination with sbc.

 -- Andreas Granig <agranig@sipwise.com>  Sat, 14 May 2011 01:08:08 +0200

ngcp-sems (1.4.1~sipwise2) unstable; urgency=low

  * Merge from upstream trunk for improved authentication handling.

 -- Andreas Granig <agranig@sipwise.com>  Wed, 04 May 2011 22:01:06 +0200

ngcp-sems (1.4.1~sipwise1) unstable; urgency=low

  * Add configurable contact to reg_agent/registrar_client.
  * Use expiry value of 3600.

 -- Andreas Granig <agranig@sipwise.com>  Fri, 29 Apr 2011 23:59:06 +0200

ngcp-sems (1.4.0+trunk20110327) unstable; urgency=low

  * Updated to git upstream commit 863fe68cbae0a151709a5b5de3162f2eb759dde3
    - SBC support
    - DSM support
    - Parallel forking support
    - and lots more, see 1.4 release info (plus parallel-fork patch)

 -- Andreas Granig <agranig@sipwise.com>  Sun, 27 Mar 2011 17:05:49 +0200

ngcp-sems (1.1.1+svn4517) unstable; urgency=low

  * Apply patch from upstream to address building issue on squeeze:
    - backwards compatible fixing DTMF detector state not being
      defined completely any more in spandsp headers,
      git upstram commit d0a1a827ac83d0a24a703ef0a00e7571a691ad49 -
      http://svn.berlios.de/svnroot/repos/sems/trunk@1698

 -- Michael Prokop <mprokop@sipwise.com>  Mon, 14 Mar 2011 23:58:53 +0100

ngcp-sems (1.1.1+svn4074) unstable; urgency=low

  * sw_vsc version svn4074

 -- Jon Bonilla <jbonilla@sipwise.com>  Sun, 27 Nov 2010 10:01:40 +0100

ngcp-sems (1.1.1+svn3541) unstable; urgency=low

  * sw_vsc version svn3541

 -- Jon Bonilla <jbonilla@sipwise.com>  Sun, 10 Oct 2010 10:01:40 +0100

ngcp-sems (1.1.1-8) unstable; urgency=low

  * sw_vsc version svn3192

 -- Jon Bonilla <jbonilla@sipwise.com>  Fri, 19 Mar 2010 10:01:40 +0100

ngcp-sems (1.1.1-6) unstable; urgency=low

  * sw_vsc version svn2762
  * Force to use spandsp for dtmf detection

 -- Jon Bonilla <jbonilla@sipwise.com>  Fri, 19 Mar 2010 10:01:40 +0100

ngcp-sems (1.1.1-5) unstable; urgency=low

  * Postinstall scripts fixed

 -- Jon Bonilla <jbonilla@sipwise.com>  Fri, 19 Mar 2010 10:01:40 +0100

ngcp-sems (1.1.1-4) unstable; urgency=low

  * Init and default scripts overwritten

 -- Jon Bonilla <jbonilla@sipwise.com>  Fri, 19 Mar 2010 10:01:40 +0100

ngcp-sems (1.1.1-3) unstable; urgency=low

  * Init and default scripts added

 -- Jon Bonilla <jbonilla@sipwise.com>  Fri, 19 Mar 2010 10:01:40 +0100

ngcp-sems (1.1.1-2) unstable; urgency=low

  * Package naming changed

 -- Jon Bonilla <jbonilla@sipwise.com>  Fri, 19 Mar 2010 10:01:40 +0100

ngcp-sems (1.1.1-1) unstable; urgency=low

  * sw_vsc added for sipwise

 -- Jon Bonilla <jbonilla@sipwise.com>  Fri, 19 Mar 2010 10:01:40 +0100


ngcp-sems (1.1.0-1) unstable; urgency=low

  * DSM state machine scripting (it's cool!)
  * an (experimental) ISDN gateway module
  * binrpc: MT (SER->) and connection pool (->SER)
  * MT xmlrpc server
  * controlled server shutdown
  * improved logging
  * g722 in 8khz compat mode
  * out of dialog request handling for modules & dialogs without
    sessions
  * audio file autorewind, AmAudio mixing
  * SIP and media IP separately configurable
  * UID/DID support for voicemail/-box/annrecorder
  * and quite some bugs and mem leaks fixed, documentation, etc. 

 -- Stefan Sayer <stefan.sayer@iptego.com>  Tue, 20 Jan 2009 18:11:25 +0100

ngcp-sems (1.1.0-0rc1) unstable; urgency=low

  * Debian Release Candidate 1 for 1.1.

 -- Stefan Sayer <sayer@iptel.org>  Mon, 8 Dec 2008 23:01:40 +0200

ngcp-sems (1.0.0-0pre1-r856M) unstable; urgency=low

  * Debian Release Candidate 1 for 1.0.

 -- Stefan Sayer <sayer@iptel.org>  Sun, 2 Mar 2002 23:41:31 +0200

